<template>
  <div class="ele-body">
    <a-card :bordered="false">
      <!-- 搜索表单 -->
      <a-form
        :model="where"
        :label-col="{ md: { span: 6 }, sm: { span: 24 } }"
        :wrapper-col="{ md: { span: 18 }, sm: { span: 24 } }"
      >
        <a-row>
          <a-col :lg="6" :md="12" :sm="24" :xs="24">
            <a-form-item label="城区">
              <a-select v-model:value="where.area" allowClear showSearch>
                <a-select-option
                  v-for="(item) in areaOptions"
                  :key="item.value"
                  >{{ item.label }}</a-select-option
                >
              </a-select>
            </a-form-item>
          </a-col>
          <a-col :lg="6" :md="12" :sm="24" :xs="24">
            <a-form-item class="ele-text-right" :wrapper-col="{ span: 24 }">
              <a-space>
                <a-button type="primary" @click="reload">查询</a-button>
                <a-button @click="reset">重置</a-button>
                <a-button @click="exportFile">导出Excel</a-button>
              </a-space>
            </a-form-item>
          </a-col>
        </a-row>
      </a-form>
      <!-- 表格 -->
      <ele-pro-table
        v-model:selection="selectionList"
        ref="table"
        row-key="roadNoiseId"
        :datasource="url"
        :columns="columns"
        :where="where"
        :scroll="{ x: 'max-content' }"
      >

      </ele-pro-table>
    </a-card>
  </div>
  <!-- 编辑弹窗 -->
</template>

<script>
// import _ from "lodash";
import XLSX from "xlsx";
import { pageRoadNoiseUrl, getColumnOptions } from "@/api/ecology/noise/road-sound";
import locale from "ant-design-vue/es/date-picker/locale/zh_CN";
// import moment from "moment";
//   import utils from "./utils";
export default {
  name: "StatisticSoundRoadBase",
  components: {},
  data() {
    return {
      data: [],
      locale,
      bill: {},
      // 表格数据接口
      url: pageRoadNoiseUrl,
      selection: [],
      // 表格列配置
      columns: [
        {title: "年份",dataIndex: "year",},
        {title: "路段总长度（米）",dataIndex: "roadLengthTotal",},
        {title: "监测点数",dataIndex: "placeTotal",},
        {title: "平均路长（米）",dataIndex: "roadLengthAvg",},
        {title: "平均路宽（米）",dataIndex: "roadWidthAvg",},
        {title: "超70分贝路段长度占总路长比例",dataIndex: "badProportion",},
      ],
      areaOptions: [],
      // 表格搜索条件
      where: {
        checked: 1,
      },
      // 表格选中数据
      selectionList: [],
    };
  },
  mounted() {
    this.loadOptionData();
  },
  methods: {
    /**获取下来框数据 */
    loadOptionData() {
      getColumnOptions("area").then((res) => {
        this.areaOptions = res.data.data.map((item) => {
          return {
            label: item,
            value: item,
          };
        });
      });
    },
    /* 刷新表格 */
    reload() {

      this.$refs.table.reload({
        where: this.where,
      });
    },
    /* 重置搜索 */
    reset() {
      this.where = {
        checked: 1,
      };
      this.reload();
    },
    exportFile() {
      const columns = [

      ];
      const arr = [];
      const th = columns.map((item) => item.title);
      arr.push(th);
      this.data.forEach((d) => {
        const td = columns.map((item) => d[item.dataIndex]);
        arr.push(td);
      });
      let sheet = XLSX.utils.aoa_to_sheet(arr);
      this.$util.exportSheet(XLSX, sheet, new Date().getTime().toString());
    },
  },
};
</script>

<style scoped lang="less">
</style>